For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • POSTCreate a Presentation Link for an asset
      • DELDelete a Presentation
      • GETGet a paginated list of Presentations
      • GETGet global presentation links
      • GETGet Presentation Links for a particular asset
      • GETShow a Presentation
      • PUTUpdate a Presentation

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferencePresentations

Get a paginated list of Presentations

GET
https://api.frame.io/v2/projects/:project_id/presentations
GET
/v2/projects/:project_id/presentations
1import requests
2
3url = "https://api.frame.io/v2/projects/project_id/presentations"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1[
2 {
3 "enabled": true,
4 "vanity": "string",
5 "include_upload_date": true,
6 "presentation_items": [
7 {
8 "asset": {
9 "account_id": "string",
10 "archive_from": "2024-01-15T09:30:00Z",
11 "archive_scheduled_at": "2024-01-15T09:30:00Z",
12 "archive_status": "string",
13 "archived_at": "2024-01-15T09:30:00Z",
14 "asset_type": "document",
15 "bundle": true,
16 "bundle_view": "string",
17 "cover_asset_id": "string",
18 "creator": {
19 "digest_frequency": "string",
20 "image_32": "string",
21 "image_128": "string",
22 "from_google": true,
23 "mfa_enforced_at": "string",
24 "email": "string",
25 "name": "string",
26 "image_64": "string",
27 "timezone_value": "string",
28 "account_id": "string",
29 "updated_at": "string",
30 "image_256": "string",
31 "_type": "string",
32 "user_hash": "string",
33 "upload_url": "string",
34 "profile_image": "string",
35 "first_login_at": "string",
36 "joined_via": "string",
37 "id": "string",
38 "next_digest_date": "string",
39 "last_seen": "string",
40 "inserted_at": "string",
41 "from_adobe": true,
42 "avatar_color": "string",
43 "highest_account_role": "string",
44 "integrations": [
45 "string"
46 ],
47 "roles": {
48 "admin": true,
49 "id": "string",
50 "sales": true,
51 "support": true,
52 "service_desk": true
53 },
54 "user_default_color": "string"
55 },
56 "frames": 1,
57 "hard_deleted_at": "2024-01-15T09:30:00Z",
58 "id": "string",
59 "index": 1.1,
60 "is_bundle_child": true,
61 "is_hls_required": true,
62 "is_session_watermarked": true,
63 "item_count": 1,
64 "label": "string",
65 "metadata": {},
66 "metadata_flags": {
67 "id": "string",
68 "is_360": true,
69 "is_hdr": true,
70 "is_original_player_compatible": true
71 },
72 "name": "string",
73 "original": "string",
74 "parent_asset_id": "string",
75 "project_id": "string",
76 "properties": {
77 "": "string"
78 },
79 "required_transcodes": {
80 "cover": true,
81 "finalized": [
82 "thumb"
83 ],
84 "h264_1080_best": true,
85 "h264_2160": true,
86 "h264_360": true,
87 "h264_540": true,
88 "h264_720": true,
89 "image_full": true,
90 "image_high": true,
91 "page_proxy": true,
92 "thumb": true,
93 "thumb_540": true,
94 "thumb_orig_ar_540": true,
95 "thumb_scrub": true
96 },
97 "team_id": "string",
98 "user_permissions": {
99 "can_download": true,
100 "can_modify_template": true,
101 "can_public_share_presentation": true,
102 "can_public_share_review_link": true,
103 "can_share_downloadable_presentation": true,
104 "can_share_downloadable_review_link": true,
105 "can_share_unwatermarked_presentation": true,
106 "can_share_unwatermarked_review_link": true
107 },
108 "type": "file",
109 "view_count": 1
110 },
111 "id": "string",
112 "index": 1,
113 "inserted_at": "2024-01-15T09:30:00Z",
114 "updated_at": "2024-01-15T09:30:00Z"
115 }
116 ],
117 "available_features": {},
118 "autoplay": true,
119 "access_control": {
120 "invite_only": true
121 },
122 "secure": true,
123 "asset_id": "string",
124 "project_id": "string",
125 "include_ext": true,
126 "layout": "blog",
127 "assets": [
128 {
129 "account_id": "string",
130 "archive_from": "2024-01-15T09:30:00Z",
131 "archive_scheduled_at": "2024-01-15T09:30:00Z",
132 "archive_status": "string",
133 "archived_at": "2024-01-15T09:30:00Z",
134 "asset_type": "document",
135 "bundle": true,
136 "bundle_view": "string",
137 "cover_asset_id": "string",
138 "creator": {
139 "digest_frequency": "string",
140 "image_32": "string",
141 "image_128": "string",
142 "from_google": true,
143 "mfa_enforced_at": "string",
144 "email": "string",
145 "name": "string",
146 "image_64": "string",
147 "timezone_value": "string",
148 "account_id": "string",
149 "updated_at": "string",
150 "image_256": "string",
151 "_type": "string",
152 "user_hash": "string",
153 "upload_url": "string",
154 "profile_image": "string",
155 "first_login_at": "string",
156 "joined_via": "string",
157 "id": "string",
158 "next_digest_date": "string",
159 "last_seen": "string",
160 "inserted_at": "string",
161 "from_adobe": true,
162 "avatar_color": "string",
163 "highest_account_role": "string",
164 "integrations": [
165 "string"
166 ],
167 "roles": {
168 "admin": true,
169 "id": "string",
170 "sales": true,
171 "support": true,
172 "service_desk": true
173 },
174 "user_default_color": "string"
175 },
176 "frames": 1,
177 "hard_deleted_at": "2024-01-15T09:30:00Z",
178 "id": "string",
179 "index": 1.1,
180 "is_bundle_child": true,
181 "is_hls_required": true,
182 "is_session_watermarked": true,
183 "item_count": 1,
184 "label": "string",
185 "metadata": {},
186 "metadata_flags": {
187 "id": "string",
188 "is_360": true,
189 "is_hdr": true,
190 "is_original_player_compatible": true
191 },
192 "name": "string",
193 "original": "string",
194 "parent_asset_id": "string",
195 "project_id": "string",
196 "properties": {
197 "": "string"
198 },
199 "required_transcodes": {
200 "cover": true,
201 "finalized": [
202 "thumb"
203 ],
204 "h264_1080_best": true,
205 "h264_2160": true,
206 "h264_360": true,
207 "h264_540": true,
208 "h264_720": true,
209 "image_full": true,
210 "image_high": true,
211 "page_proxy": true,
212 "thumb": true,
213 "thumb_540": true,
214 "thumb_orig_ar_540": true,
215 "thumb_scrub": true
216 },
217 "team_id": "string",
218 "user_permissions": {
219 "can_download": true,
220 "can_modify_template": true,
221 "can_public_share_presentation": true,
222 "can_public_share_review_link": true,
223 "can_share_downloadable_presentation": true,
224 "can_share_downloadable_review_link": true,
225 "can_share_unwatermarked_presentation": true,
226 "can_share_unwatermarked_review_link": true
227 },
228 "type": "file",
229 "view_count": 1
230 }
231 ],
232 "description": "string",
233 "deleted_at": "2024-01-15T09:30:00Z",
234 "password": "string",
235 "asset": {
236 "account_id": "string",
237 "archive_from": "2024-01-15T09:30:00Z",
238 "archive_scheduled_at": "2024-01-15T09:30:00Z",
239 "archive_status": "string",
240 "archived_at": "2024-01-15T09:30:00Z",
241 "asset_type": "document",
242 "bundle": true,
243 "bundle_view": "string",
244 "cover_asset_id": "string",
245 "creator": {
246 "digest_frequency": "string",
247 "image_32": "string",
248 "image_128": "string",
249 "from_google": true,
250 "mfa_enforced_at": "string",
251 "email": "string",
252 "name": "string",
253 "image_64": "string",
254 "timezone_value": "string",
255 "account_id": "string",
256 "updated_at": "string",
257 "image_256": "string",
258 "_type": "string",
259 "user_hash": "string",
260 "upload_url": "string",
261 "profile_image": "string",
262 "first_login_at": "string",
263 "joined_via": "string",
264 "id": "string",
265 "next_digest_date": "string",
266 "last_seen": "string",
267 "inserted_at": "string",
268 "from_adobe": true,
269 "avatar_color": "string",
270 "highest_account_role": "string",
271 "integrations": [
272 "string"
273 ],
274 "roles": {
275 "admin": true,
276 "id": "string",
277 "sales": true,
278 "support": true,
279 "service_desk": true
280 },
281 "user_default_color": "string"
282 },
283 "frames": 1,
284 "hard_deleted_at": "2024-01-15T09:30:00Z",
285 "id": "string",
286 "index": 1.1,
287 "is_bundle_child": true,
288 "is_hls_required": true,
289 "is_session_watermarked": true,
290 "item_count": 1,
291 "label": "string",
292 "metadata": {},
293 "metadata_flags": {
294 "id": "string",
295 "is_360": true,
296 "is_hdr": true,
297 "is_original_player_compatible": true
298 },
299 "name": "string",
300 "original": "string",
301 "parent_asset_id": "string",
302 "project_id": "string",
303 "properties": {
304 "": "string"
305 },
306 "required_transcodes": {
307 "cover": true,
308 "finalized": [
309 "thumb"
310 ],
311 "h264_1080_best": true,
312 "h264_2160": true,
313 "h264_360": true,
314 "h264_540": true,
315 "h264_720": true,
316 "image_full": true,
317 "image_high": true,
318 "page_proxy": true,
319 "thumb": true,
320 "thumb_540": true,
321 "thumb_orig_ar_540": true,
322 "thumb_scrub": true
323 },
324 "team_id": "string",
325 "user_permissions": {
326 "can_download": true,
327 "can_modify_template": true,
328 "can_public_share_presentation": true,
329 "can_public_share_review_link": true,
330 "can_share_downloadable_presentation": true,
331 "can_share_downloadable_review_link": true,
332 "can_share_unwatermarked_presentation": true,
333 "can_share_unwatermarked_review_link": true
334 },
335 "type": "file",
336 "view_count": 1
337 },
338 "team": {
339 "account_id": "string",
340 "disable_sbwm_internally": false,
341 "creator_id": "string",
342 "storage": 0,
343 "default_font_color": "string",
344 "access": "private",
345 "font_color": "string",
346 "user_role": {},
347 "file_count": 0,
348 "default_session_watermark_template": {
349 "account_id": "string",
350 "app_default": false,
351 "creator_id": "string",
352 "id": "string",
353 "name": "string",
354 "watermark_blocks": [
355 {
356 "alpha": 0.5,
357 "data_points": [
358 {
359 "order": 1,
360 "type": "email",
361 "value": "string"
362 }
363 ],
364 "font_size": "medium",
365 "name": "string",
366 "position": "top_left",
367 "position_reference_point": "top_left",
368 "position_x": 1,
369 "position_y": 1,
370 "scroll_text": "none",
371 "text_alignment": "left",
372 "text_color": "#FFFFFF",
373 "text_shadow": false
374 }
375 ]
376 },
377 "link": "string",
378 "asset_lifecycle_policy": 1,
379 "upload_url": "string",
380 "admin_only_actions": {
381 "lifecycle": false
382 },
383 "deleted_at": "2024-01-15T09:30:00Z",
384 "default_background_color": "string",
385 "storage_limit": 1,
386 "location": "string",
387 "name": "string",
388 "default_color": "string",
389 "slack_webhook": {},
390 "image_64": "string",
391 "archived_storage": 0,
392 "image_128": "string",
393 "solo": false,
394 "account": {
395 "invoice_emails": [
396 "string"
397 ],
398 "city": "string",
399 "account_default_color": "string",
400 "company_name": "string",
401 "storage": 1,
402 "file_count": 1,
403 "owner": {
404 "digest_frequency": "string",
405 "image_32": "string",
406 "image_128": "string",
407 "from_google": true,
408 "mfa_enforced_at": "string",
409 "email": "string",
410 "name": "string",
411 "image_64": "string",
412 "timezone_value": "string",
413 "account_id": "string",
414 "updated_at": "string",
415 "image_256": "string",
416 "_type": "string",
417 "user_hash": "string",
418 "upload_url": "string",
419 "profile_image": "string",
420 "first_login_at": "string",
421 "joined_via": "string",
422 "id": "string",
423 "next_digest_date": "string",
424 "last_seen": "string",
425 "inserted_at": "string",
426 "from_adobe": true,
427 "avatar_color": "string",
428 "highest_account_role": "string",
429 "integrations": [
430 "string"
431 ],
432 "roles": {
433 "admin": true,
434 "id": "string",
435 "sales": true,
436 "support": true,
437 "service_desk": true
438 },
439 "user_default_color": "string"
440 },
441 "upload_url": "string",
442 "deleted_at": "2024-01-15T09:30:00Z",
443 "line1": "string",
444 "postal_code": "string",
445 "vat": "string",
446 "company_address": "string",
447 "lifetime_file_count": 1,
448 "state": "string",
449 "teams": [
450 null
451 ],
452 "image_64": "string",
453 "archived_storage": 1,
454 "image_128": "string",
455 "owner_id": "string",
456 "user_count": 1,
457 "locked_at": "2024-01-15T09:30:00Z",
458 "image": "string",
459 "team_count": 1,
460 "collaborator_role_count": 1,
461 "billing_emails": "string",
462 "image_32": "string",
463 "unpaid_at": "2024-01-15T09:30:00Z",
464 "inserted_at": "2024-01-15T09:30:00Z",
465 "updated_at": "2024-01-15T09:30:00Z",
466 "project_count": 1,
467 "duration": 1,
468 "delinquent_at": "2024-01-15T09:30:00Z",
469 "collaborator_count": 1,
470 "plan": {
471 "archived_storage_limit": 1,
472 "autoscaling": true,
473 "available_features": {
474 "archival_storage": true,
475 "custom_branded_emails": true,
476 "custom_branded_presentations": true,
477 "reel_player": true,
478 "secure_sharing": true,
479 "session_based_watermarking": true,
480 "team_only_comments": true
481 },
482 "collaborator_limit": 1,
483 "cost": 1,
484 "default_plan": true,
485 "deleted_at": "2024-01-15T09:30:00Z",
486 "enterprise": true,
487 "file_limit": 1,
488 "id": "string",
489 "inserted_at": "2024-01-15T09:30:00Z",
490 "lifetime_file_limit": 1,
491 "member_limit": 1,
492 "name": "string",
493 "payment_method": "stripe",
494 "period": "monthly",
495 "project_limit": 1,
496 "storage_limit": 1,
497 "team_limit": 1,
498 "tier": "free",
499 "title": "string",
500 "updated_at": "2024-01-15T09:30:00Z",
501 "user_limit": 1,
502 "user_max": 1,
503 "version": 1
504 },
505 "watermark": {
506 "image": {
507 "alpha": 0.5,
508 "image": {
509 "bucket": "string",
510 "key": "string",
511 "type": "image/jpeg",
512 "uploaded": false
513 },
514 "position": "top_left"
515 },
516 "text": {
517 "alpha": 0.5,
518 "lines": [
519 "string"
520 ],
521 "position": "top"
522 }
523 },
524 "folder_count": 1,
525 "id": "string",
526 "display_name": "string",
527 "country": "string",
528 "subscription": {
529 "account_id": "string",
530 "archived_storage_limit": 1,
531 "balance": 1,
532 "cancellation_option": "string",
533 "cancellation_reason": "string",
534 "cancelled_at": "2024-01-15T09:30:00Z",
535 "deleted_at": "2024-01-15T09:30:00Z",
536 "id": "string",
537 "inserted_at": "2024-01-15T09:30:00Z",
538 "last_payment_at": "2024-01-15T09:30:00Z",
539 "member_limit": 1,
540 "next_bill_at": "2024-01-15T09:30:00Z",
541 "on_trial": true,
542 "plan": {
543 "archived_storage_limit": 1,
544 "autoscaling": true,
545 "available_features": {
546 "archival_storage": true,
547 "custom_branded_emails": true,
548 "custom_branded_presentations": true,
549 "reel_player": true,
550 "secure_sharing": true,
551 "session_based_watermarking": true,
552 "team_only_comments": true
553 },
554 "collaborator_limit": 1,
555 "cost": 1,
556 "default_plan": true,
557 "deleted_at": "2024-01-15T09:30:00Z",
558 "enterprise": true,
559 "file_limit": 1,
560 "id": "string",
561 "inserted_at": "2024-01-15T09:30:00Z",
562 "lifetime_file_limit": 1,
563 "member_limit": 1,
564 "name": "string",
565 "payment_method": "stripe",
566 "period": "monthly",
567 "project_limit": 1,
568 "storage_limit": 1,
569 "team_limit": 1,
570 "tier": "free",
571 "title": "string",
572 "updated_at": "2024-01-15T09:30:00Z",
573 "user_limit": 1,
574 "user_max": 1,
575 "version": 1
576 },
577 "plan_id": "string",
578 "promotion_expires_at": "2024-01-15T09:30:00Z",
579 "promotion_id": "string",
580 "requires_autoscaling": true,
581 "storage_limit": 1,
582 "subscription_end_at": "2024-01-15T09:30:00Z",
583 "total_archived_storage_limit": 1,
584 "total_lifetime_file_limit": 1,
585 "total_member_limit": 1,
586 "total_project_limit": 1,
587 "total_storage_limit": 1,
588 "total_user_limit": 1,
589 "updated_at": "2024-01-15T09:30:00Z",
590 "user_limit": 1
591 },
592 "account_members": [
593 {
594 "accepted_at": "2024-01-15T09:30:00Z",
595 "account_id": "string",
596 "declined_at": "2024-01-15T09:30:00Z",
597 "deleted_at": "2024-01-15T09:30:00Z",
598 "inserted_at": "2024-01-15T09:30:00Z",
599 "role": "admin",
600 "updated_at": "2024-01-15T09:30:00Z",
601 "user_id": "string"
602 }
603 ],
604 "frames": 1,
605 "member_count": 1,
606 "image_256": "string"
607 },
608 "image_32": "string",
609 "inserted_at": "2024-01-15T09:30:00Z",
610 "updated_at": "2024-01-15T09:30:00Z",
611 "project_count": 0,
612 "duration": 0,
613 "team_image": "string",
614 "collaborator_count": 0,
615 "bio": "string",
616 "color": "string",
617 "email_branding": {
618 "accent_color": "string",
619 "background_color": "string",
620 "image": {
621 "bucket": "string",
622 "key": "string",
623 "type": "image/jpeg",
624 "uploaded": false
625 }
626 },
627 "folder_count": 0,
628 "dark_theme": false,
629 "default_session_watermark_template_id": "string",
630 "session_watermark_templates": [
631 {
632 "account_id": "string",
633 "app_default": false,
634 "creator_id": "string",
635 "id": "string",
636 "name": "string",
637 "watermark_blocks": [
638 {
639 "alpha": 0.5,
640 "data_points": [
641 {
642 "order": 1,
643 "type": "email",
644 "value": "string"
645 }
646 ],
647 "font_size": "medium",
648 "name": "string",
649 "position": "top_left",
650 "position_reference_point": "top_left",
651 "position_x": 1,
652 "position_y": 1,
653 "scroll_text": "none",
654 "text_alignment": "left",
655 "text_color": "#FFFFFF",
656 "text_shadow": false
657 }
658 ]
659 }
660 ],
661 "id": "string",
662 "member_limit": 1,
663 "frames": 0,
664 "member_count": 0,
665 "image_256": "string",
666 "background_color": "string"
667 },
668 "name": "string",
669 "format": "string",
670 "owner_id": "string",
671 "can_download": true,
672 "project": {
673 "archive_status": "standard",
674 "archived_at": "2024-01-15T09:30:00Z",
675 "archived_file_count": 0,
676 "archived_storage": 0,
677 "collaborator_count": 0,
678 "deleted_at": "2024-01-15T09:30:00Z",
679 "description": "string",
680 "file_count": 0,
681 "folder_count": 0,
682 "id": "string",
683 "ignore_archive": false,
684 "inserted_at": "2024-01-15T09:30:00Z",
685 "invite_url": "string",
686 "name": "string",
687 "owner_id": "string",
688 "private": false,
689 "project_preferences": {
690 "collaborator_can_download": true,
691 "collaborator_can_invite": true,
692 "collaborator_can_share": true,
693 "notify_on_new_asset": true,
694 "notify_on_new_collaborator": true,
695 "notify_on_new_comment": true,
696 "notify_on_updated_label": true,
697 "notify_slack": true
698 },
699 "read_only": false,
700 "root_asset": {
701 "account_id": "string",
702 "archive_from": "2024-01-15T09:30:00Z",
703 "archive_scheduled_at": "2024-01-15T09:30:00Z",
704 "archive_status": "string",
705 "archived_at": "2024-01-15T09:30:00Z",
706 "asset_type": "document",
707 "bundle": true,
708 "bundle_view": "string",
709 "cover_asset_id": "string",
710 "creator": {
711 "digest_frequency": "string",
712 "image_32": "string",
713 "image_128": "string",
714 "from_google": true,
715 "mfa_enforced_at": "string",
716 "email": "string",
717 "name": "string",
718 "image_64": "string",
719 "timezone_value": "string",
720 "account_id": "string",
721 "updated_at": "string",
722 "image_256": "string",
723 "_type": "string",
724 "user_hash": "string",
725 "upload_url": "string",
726 "profile_image": "string",
727 "first_login_at": "string",
728 "joined_via": "string",
729 "id": "string",
730 "next_digest_date": "string",
731 "last_seen": "string",
732 "inserted_at": "string",
733 "from_adobe": true,
734 "avatar_color": "string",
735 "highest_account_role": "string",
736 "integrations": [
737 "string"
738 ],
739 "roles": {
740 "admin": true,
741 "id": "string",
742 "sales": true,
743 "support": true,
744 "service_desk": true
745 },
746 "user_default_color": "string"
747 },
748 "frames": 1,
749 "hard_deleted_at": "2024-01-15T09:30:00Z",
750 "id": "string",
751 "index": 1.1,
752 "is_bundle_child": true,
753 "is_hls_required": true,
754 "is_session_watermarked": true,
755 "item_count": 1,
756 "label": "string",
757 "metadata": {},
758 "metadata_flags": {
759 "id": "string",
760 "is_360": true,
761 "is_hdr": true,
762 "is_original_player_compatible": true
763 },
764 "name": "string",
765 "original": "string",
766 "parent_asset_id": "string",
767 "project_id": "string",
768 "properties": {
769 "": "string"
770 },
771 "required_transcodes": {
772 "cover": true,
773 "finalized": [
774 "thumb"
775 ],
776 "h264_1080_best": true,
777 "h264_2160": true,
778 "h264_360": true,
779 "h264_540": true,
780 "h264_720": true,
781 "image_full": true,
782 "image_high": true,
783 "page_proxy": true,
784 "thumb": true,
785 "thumb_540": true,
786 "thumb_orig_ar_540": true,
787 "thumb_scrub": true
788 },
789 "team_id": "string",
790 "user_permissions": {
791 "can_download": true,
792 "can_modify_template": true,
793 "can_public_share_presentation": true,
794 "can_public_share_review_link": true,
795 "can_share_downloadable_presentation": true,
796 "can_share_downloadable_review_link": true,
797 "can_share_unwatermarked_presentation": true,
798 "can_share_unwatermarked_review_link": true
799 },
800 "type": "file",
801 "view_count": 1
802 },
803 "root_asset_id": "string",
804 "shared": false,
805 "storage": 0,
806 "team": {
807 "account_id": "string",
808 "disable_sbwm_internally": false,
809 "creator_id": "string",
810 "storage": 0,
811 "default_font_color": "string",
812 "access": "private",
813 "font_color": "string",
814 "user_role": {},
815 "file_count": 0,
816 "default_session_watermark_template": {
817 "account_id": "string",
818 "app_default": false,
819 "creator_id": "string",
820 "id": "string",
821 "name": "string",
822 "watermark_blocks": [
823 {
824 "alpha": 0.5,
825 "data_points": [
826 {
827 "order": 1,
828 "type": "email",
829 "value": "string"
830 }
831 ],
832 "font_size": "medium",
833 "name": "string",
834 "position": "top_left",
835 "position_reference_point": "top_left",
836 "position_x": 1,
837 "position_y": 1,
838 "scroll_text": "none",
839 "text_alignment": "left",
840 "text_color": "#FFFFFF",
841 "text_shadow": false
842 }
843 ]
844 },
845 "link": "string",
846 "asset_lifecycle_policy": 1,
847 "upload_url": "string",
848 "admin_only_actions": {
849 "lifecycle": false
850 },
851 "deleted_at": "2024-01-15T09:30:00Z",
852 "default_background_color": "string",
853 "storage_limit": 1,
854 "location": "string",
855 "name": "string",
856 "default_color": "string",
857 "slack_webhook": {},
858 "image_64": "string",
859 "archived_storage": 0,
860 "image_128": "string",
861 "solo": false,
862 "account": {
863 "invoice_emails": [
864 "string"
865 ],
866 "city": "string",
867 "account_default_color": "string",
868 "company_name": "string",
869 "storage": 1,
870 "file_count": 1,
871 "owner": {
872 "digest_frequency": "string",
873 "image_32": "string",
874 "image_128": "string",
875 "from_google": true,
876 "mfa_enforced_at": "string",
877 "email": "string",
878 "name": "string",
879 "image_64": "string",
880 "timezone_value": "string",
881 "account_id": "string",
882 "updated_at": "string",
883 "image_256": "string",
884 "_type": "string",
885 "user_hash": "string",
886 "upload_url": "string",
887 "profile_image": "string",
888 "first_login_at": "string",
889 "joined_via": "string",
890 "id": "string",
891 "next_digest_date": "string",
892 "last_seen": "string",
893 "inserted_at": "string",
894 "from_adobe": true,
895 "avatar_color": "string",
896 "highest_account_role": "string",
897 "integrations": [
898 "string"
899 ],
900 "roles": {
901 "admin": true,
902 "id": "string",
903 "sales": true,
904 "support": true,
905 "service_desk": true
906 },
907 "user_default_color": "string"
908 },
909 "upload_url": "string",
910 "deleted_at": "2024-01-15T09:30:00Z",
911 "line1": "string",
912 "postal_code": "string",
913 "vat": "string",
914 "company_address": "string",
915 "lifetime_file_count": 1,
916 "state": "string",
917 "teams": [
918 null
919 ],
920 "image_64": "string",
921 "archived_storage": 1,
922 "image_128": "string",
923 "owner_id": "string",
924 "user_count": 1,
925 "locked_at": "2024-01-15T09:30:00Z",
926 "image": "string",
927 "team_count": 1,
928 "collaborator_role_count": 1,
929 "billing_emails": "string",
930 "image_32": "string",
931 "unpaid_at": "2024-01-15T09:30:00Z",
932 "inserted_at": "2024-01-15T09:30:00Z",
933 "updated_at": "2024-01-15T09:30:00Z",
934 "project_count": 1,
935 "duration": 1,
936 "delinquent_at": "2024-01-15T09:30:00Z",
937 "collaborator_count": 1,
938 "plan": {
939 "archived_storage_limit": 1,
940 "autoscaling": true,
941 "available_features": {
942 "archival_storage": true,
943 "custom_branded_emails": true,
944 "custom_branded_presentations": true,
945 "reel_player": true,
946 "secure_sharing": true,
947 "session_based_watermarking": true,
948 "team_only_comments": true
949 },
950 "collaborator_limit": 1,
951 "cost": 1,
952 "default_plan": true,
953 "deleted_at": "2024-01-15T09:30:00Z",
954 "enterprise": true,
955 "file_limit": 1,
956 "id": "string",
957 "inserted_at": "2024-01-15T09:30:00Z",
958 "lifetime_file_limit": 1,
959 "member_limit": 1,
960 "name": "string",
961 "payment_method": "stripe",
962 "period": "monthly",
963 "project_limit": 1,
964 "storage_limit": 1,
965 "team_limit": 1,
966 "tier": "free",
967 "title": "string",
968 "updated_at": "2024-01-15T09:30:00Z",
969 "user_limit": 1,
970 "user_max": 1,
971 "version": 1
972 },
973 "watermark": {
974 "image": {
975 "alpha": 0.5,
976 "image": {
977 "bucket": "string",
978 "key": "string",
979 "type": "image/jpeg",
980 "uploaded": false
981 },
982 "position": "top_left"
983 },
984 "text": {
985 "alpha": 0.5,
986 "lines": [
987 "string"
988 ],
989 "position": "top"
990 }
991 },
992 "folder_count": 1,
993 "id": "string",
994 "display_name": "string",
995 "country": "string",
996 "subscription": {
997 "account_id": "string",
998 "archived_storage_limit": 1,
999 "balance": 1,
1000 "cancellation_option": "string",
1001 "cancellation_reason": "string",
1002 "cancelled_at": "2024-01-15T09:30:00Z",
1003 "deleted_at": "2024-01-15T09:30:00Z",
1004 "id": "string",
1005 "inserted_at": "2024-01-15T09:30:00Z",
1006 "last_payment_at": "2024-01-15T09:30:00Z",
1007 "member_limit": 1,
1008 "next_bill_at": "2024-01-15T09:30:00Z",
1009 "on_trial": true,
1010 "plan": {
1011 "archived_storage_limit": 1,
1012 "autoscaling": true,
1013 "available_features": {
1014 "archival_storage": true,
1015 "custom_branded_emails": true,
1016 "custom_branded_presentations": true,
1017 "reel_player": true,
1018 "secure_sharing": true,
1019 "session_based_watermarking": true,
1020 "team_only_comments": true
1021 },
1022 "collaborator_limit": 1,
1023 "cost": 1,
1024 "default_plan": true,
1025 "deleted_at": "2024-01-15T09:30:00Z",
1026 "enterprise": true,
1027 "file_limit": 1,
1028 "id": "string",
1029 "inserted_at": "2024-01-15T09:30:00Z",
1030 "lifetime_file_limit": 1,
1031 "member_limit": 1,
1032 "name": "string",
1033 "payment_method": "stripe",
1034 "period": "monthly",
1035 "project_limit": 1,
1036 "storage_limit": 1,
1037 "team_limit": 1,
1038 "tier": "free",
1039 "title": "string",
1040 "updated_at": "2024-01-15T09:30:00Z",
1041 "user_limit": 1,
1042 "user_max": 1,
1043 "version": 1
1044 },
1045 "plan_id": "string",
1046 "promotion_expires_at": "2024-01-15T09:30:00Z",
1047 "promotion_id": "string",
1048 "requires_autoscaling": true,
1049 "storage_limit": 1,
1050 "subscription_end_at": "2024-01-15T09:30:00Z",
1051 "total_archived_storage_limit": 1,
1052 "total_lifetime_file_limit": 1,
1053 "total_member_limit": 1,
1054 "total_project_limit": 1,
1055 "total_storage_limit": 1,
1056 "total_user_limit": 1,
1057 "updated_at": "2024-01-15T09:30:00Z",
1058 "user_limit": 1
1059 },
1060 "account_members": [
1061 {
1062 "accepted_at": "2024-01-15T09:30:00Z",
1063 "account_id": "string",
1064 "declined_at": "2024-01-15T09:30:00Z",
1065 "deleted_at": "2024-01-15T09:30:00Z",
1066 "inserted_at": "2024-01-15T09:30:00Z",
1067 "role": "admin",
1068 "updated_at": "2024-01-15T09:30:00Z",
1069 "user_id": "string"
1070 }
1071 ],
1072 "frames": 1,
1073 "member_count": 1,
1074 "image_256": "string"
1075 },
1076 "image_32": "string",
1077 "inserted_at": "2024-01-15T09:30:00Z",
1078 "updated_at": "2024-01-15T09:30:00Z",
1079 "project_count": 0,
1080 "duration": 0,
1081 "team_image": "string",
1082 "collaborator_count": 0,
1083 "bio": "string",
1084 "color": "string",
1085 "email_branding": {
1086 "accent_color": "string",
1087 "background_color": "string",
1088 "image": {
1089 "bucket": "string",
1090 "key": "string",
1091 "type": "image/jpeg",
1092 "uploaded": false
1093 }
1094 },
1095 "folder_count": 0,
1096 "dark_theme": false,
1097 "default_session_watermark_template_id": "string",
1098 "session_watermark_templates": [
1099 {
1100 "account_id": "string",
1101 "app_default": false,
1102 "creator_id": "string",
1103 "id": "string",
1104 "name": "string",
1105 "watermark_blocks": [
1106 {
1107 "alpha": 0.5,
1108 "data_points": [
1109 {
1110 "order": 1,
1111 "type": "email",
1112 "value": "string"
1113 }
1114 ],
1115 "font_size": "medium",
1116 "name": "string",
1117 "position": "top_left",
1118 "position_reference_point": "top_left",
1119 "position_x": 1,
1120 "position_y": 1,
1121 "scroll_text": "none",
1122 "text_alignment": "left",
1123 "text_color": "#FFFFFF",
1124 "text_shadow": false
1125 }
1126 ]
1127 }
1128 ],
1129 "id": "string",
1130 "member_limit": 1,
1131 "frames": 0,
1132 "member_count": 0,
1133 "image_256": "string",
1134 "background_color": "string"
1135 },
1136 "team_id": "string",
1137 "updated_at": "2024-01-15T09:30:00Z",
1138 "user_permissions": {
1139 "can_download": true,
1140 "can_modify_template": true,
1141 "can_public_share_presentation": true,
1142 "can_public_share_review_link": true,
1143 "can_share_downloadable_presentation": true,
1144 "can_share_downloadable_review_link": true,
1145 "can_share_unwatermarked_presentation": true,
1146 "can_share_unwatermarked_review_link": true
1147 },
1148 "user_preferences": {
1149 "collaborator_can_download": true,
1150 "collaborator_can_invite": true,
1151 "collaborator_can_share": true,
1152 "notify_on_new_asset": true,
1153 "notify_on_new_collaborator": true,
1154 "notify_on_new_comment": true,
1155 "notify_on_updated_label": true,
1156 "notify_slack": true
1157 },
1158 "watermark": {
1159 "image": {
1160 "alpha": 0.5,
1161 "image": {
1162 "bucket": "string",
1163 "key": "string",
1164 "type": "image/jpeg",
1165 "uploaded": false
1166 },
1167 "position": "top_left"
1168 },
1169 "text": {
1170 "alpha": 0.5,
1171 "lines": [
1172 "string"
1173 ],
1174 "position": "top"
1175 }
1176 }
1177 },
1178 "short_url": "string",
1179 "inserted_at": "2024-01-15T09:30:00Z",
1180 "updated_at": "2024-01-15T09:30:00Z",
1181 "style": "string",
1182 "text_color": "string",
1183 "title": "string",
1184 "expires_at": "2024-01-15T09:30:00Z",
1185 "color": "string",
1186 "id": "string",
1187 "view_count": 0,
1188 "reviewer_count": 0,
1189 "background_color": "string"
1190 }
1191]
Get a paginated list of Presentations
Was this page helpful?
Previous

Get global presentation links

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequiredformat: "uuid"

Response headers

linkstring
Pagination links
page-numberinteger
Current page of results
per-pageinteger
Number of entries per page
totalinteger
Total entries across all pagess
total-pagesinteger
Number of pages

Response

Presentations success response
enabledboolean
vanitystring
include_upload_dateboolean
presentation_itemslist of objects
available_featuresobject
autoplayboolean
access_controlobject
secureboolean
asset_idstringformat: "uuid"
project_idstringformat: "uuid"
include_extboolean
layoutenum
Allowed values:
assetslist of objects
descriptionstring
deleted_atstringformat: "date-time"
passwordstring
assetobject

Accepts arbitrary key/value pairs for storing information on an asset

teamobject
namestring
formatstring
owner_idstringformat: "uuid"
can_downloadboolean
projectobject
short_urlstring
inserted_atstringformat: "date-time"
updated_atstringformat: "date-time"
stylestring
text_colorstring
titlestring
expires_atstringformat: "date-time"
colorstring
idstringformat: "uuid"
view_countintegerDefaults to 0
reviewer_countintegerDefaults to 0
background_colorstring

Errors

401
Unauthorized Error
404
Not Found Error